/************************************************************************/
/*  External variables.							*/
/*									*/
/*	Douglas Neuhauser						*/
/*	Seismological Laboratory					*/
/*	University of California, Berkeley				*/
/*	doug@seismo.berkeley.edu					*/
/*									*/
/************************************************************************/

/*
 * Copyright (c) 1996, 1999 The Regents of the University of California.
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for educational, research and non-profit purposes,
 * without fee, and without a written agreement is hereby granted,
 * provided that the above copyright notice, this paragraph and the
 * following three paragraphs appear in all copies.
 * 
 * Permission to incorporate this software into commercial products may
 * be obtained from the Office of Technology Licensing, 2150 Shattuck
 * Avenue, Suite 510, Berkeley, CA  94704.
 * 
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 * INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND
 * ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 * CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

/*	$Id: externals.h,v 1.2 2000/10/26 13:39:43 doug Exp $ 	*/

#ifndef	EXTERN
#define	EXTERN	extern
#endif	/* EXTERN */

/***************************** External variables   *********************/

/*  Command line information.						*/
/*  Command line options.						*/
EXTERN int	start_flag;		/* starting time specified.	*/
EXTERN int	end_flag;		/* ending time specified.	*/
EXTERN int	no_output;		/* do not write output.		*/
EXTERN int	exact_trim;		/* trim data to exact time.	*/
EXTERN int	contiguous_flag;	/* gen entry for contig. data.	*/
EXTERN int	short_flag;		/* gen short bin holdings rec.	*/
EXTERN int	ascii_flag;		/* gen ascii holdings rec.	*/
EXTERN int	multi_channel_flag;	/* infile may have multi chans.	*/

/*  Command line arguments.						*/
EXTERN char	*cmdname;		/* command name.		*/
EXTERN char	*infile;		/* input file name.		*/
EXTERN int	debug_option;		/* debug options.		*/
EXTERN int	date_fmt;		/* format for printing date.	*/
EXTERN INT_TIME	start_time;		/* starting time for selection.	*/
EXTERN INT_TIME	end_time;		/* ending time for selection.	*/

/*  Misc external info.							*/
EXTERN FILE	*fpin;			/* input FILE pointer.		*/
EXTERN FILE	*fpout;			/* output FILE pointer.		*/
EXTERN FILE	*info;			/* information FILE pointer.	*/

EXTERN int	seq_no;
EXTERN char	input[MAX_BLKSIZE];	/* input data buffer.		*/
EXTERN int	herrno;			/* errno from header routines.	*/
EXTERN char	*outfile;		/* output file name.	*/

EXTERN ST_INFO	st_head_in;		/* hdr struture to linked list	*/
					/* of input stream structures.	*/
EXTERN ST_INFO	st_head_out;		/* hdr struture to linked list	*/
					/* of output stream structures.	*/
extern char	*syntax[];		/* program cmdline syntax info.	*/

/* file information.
EXTERN int	nfiles;			/* # of input files to merge.	*/
EXTERN char	*outfile;		/* name of output file.		*/

/* holdings information.						*/
EXTERN char	*header_dir;		/* header directory.		*/
EXTERN char	*operator;		/* operator.			*/
EXTERN char	*dcc;			/* data collection center.	*/
EXTERN char	*mode;			/* mode (C or T).		*/
EXTERN char	*network;		/* network operator of station.	*/
