/************************************************************************/
/*  Functions declarations.						*/
/*									*/
/*	Douglas Neuhauser						*/
/*	Seismological Laboratory					*/
/*	University of California, Berkeley				*/
/*	doug@seismo.berkeley.edu					*/
/*									*/
/************************************************************************/

/*
 * Copyright (c) 1996-2000 The Regents of the University of California.
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for educational, research and non-profit purposes,
 * without fee, and without a written agreement is hereby granted,
 * provided that the above copyright notice, this paragraph and the
 * following three paragraphs appear in all copies.
 * 
 * Permission to incorporate this software into commercial products may
 * be obtained from the Office of Technology Licensing, 2150 Shattuck
 * Avenue, Suite 510, Berkeley, CA  94704.
 * 
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 * INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND
 * ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 * CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

/*	$Id: procs.h,v 1.3 2007/08/29 18:28:29 doug Exp $ 	*/

int write_holdings
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

int write_holdings_long
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

int write_holdings_short
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

void print_stream_summary
   (ST_INFO	*out_p);	/* ptr to output stream structure.	*/

void process_block
   (ST_INFO	*st_p);		/* ptr to output stream structure.	*/

void flush_output
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

void append_to_output 
   (ST_INFO	*st_p,		/* ptr to output stream structure.	*/
    int		slew);		/* slew between records.		*/

int same_type_data_stream 
   (DATA_HDR	*ih,		/* ptr to intput DATA_HDR.		*/
    DATA_HDR	*oh);		/* ptr to output DATA_HDR.		*/

void make_out_sum_hdr
   (ST_INFO	*out,		/* ptr to output stream structure.	*/
    ST_INFO	*st_p);		/* ptr to input stream structure.	*/

void make_out_cur_hdr
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

int position_stream 
   (ST_INFO	*st_p,		/* ptr to current input stream.		*/
    INT_TIME	*stime,		/* ptr to desired start time.		*/
    INT_TIME	*etime);	/* ptr to desired end time.		*/

ST_INFO *open_stream
   (ST_INFO	*phead,		/* ptr to stream struct linked list.	*/
    char	*file,		/* filename to open.			*/
    char	*mode);		/* mode for open.			*/

ST_INFO *close_stream
   (ST_INFO	*st_p);		/* ptr to stream struct to close.	*/

int fill_buffer
   (ST_INFO	*st_p,		/* ptr to input stream struct.		*/
    int		n);		/* number of bytes desired in IOB.	*/

int get_stream_info 
   (ST_INFO	*st_p);		/* ptr to current stream header.	*/

void get_block_info
   (ST_INFO	*st_p);		/* ptr to current stream header.	*/

int parse_cmdline 
   (int		*pargc,		/* ptr to argc.				*/
    char	***pargv);	/* ptr to argv.				*/

int make_holdings 
    (char	*file);

int get_header_type 
   (char    *p,
    int	    nr);

int write_holdings_long
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

int write_holdings_short
   (ST_INFO	*out);		/* ptr to output stream structure.	*/
