.\$Id: update_holdings.man,v 1.1 1999/04/07 15:03:56 doug Exp $ 
.TH UPDATE_HOLDINGS 1 "10 November 1996" BDSN
.SH NAME
update_holdings update_hold
.SH SYNOPSIS
.B update_holdings
[\fB\-U\fR]
[\fB\-D\ delete_list\fR]
[\fB\-S\fR]
.I master_file
[\fIupdate_files...\fR]
.sp
update_hold
[\fB\-U\fR]
[\fB\-D\ delete_list\fR]
.I master_file
[\fIupdate_files...\fR]
.br
.SH DESCRIPTION
The program
.B update_holdings
merges holdings (or short hold) records from a master file with updated records
from update files.  Any records for a specific station.network.channel that
appear in any of the update files will replace all records for the same
station.network.channel from the master file.
In addition, you can specify a list of station.network.channel entries
that should be removed from the records in the master file.

It is assumed that update files records contain a complete definition of any
data channel that they reference.  Therefore, any update records for a
specific station.network.channel in the update files will replace all
records for the same station.network.channel from the master file.  If you
specify more than one update file, the update records from all of the update
files will be contatenated and treated as though they were all contained in a
single update file.

If you wish to delete records for one or more channels of data from the
master file, use the 
.I -D\  delete_list
option to specify a comma-delimited list of one or more station.network.channel
definitions.  Each component (station, network and channel) may contain the wildcard
characters "?" and "*" which match one or 0-N characters respectively.

Note that ALL records from update files will appears in the output record list,
even if they match a station.network.channel to be deleted.
The delete option only removes records from the master record list, NOT
from the update record list.

.SH OPTIONS
.TP
\fB\-U\fR
.br
specifies that the original master file should be updated with the new list
of holdings (or hold) records.  The original file will be renamed
with a ".0" suffix.  Note that this option will delete any previous copy of the
master file that contains a ".0" suffix.
If this option is not used, the update list of records will be written to stdout.
.TP
\fB\-D \fIdelete_list\fR
.br
specifies a comma-delimited list of records to be deleted from the master file.
Each item in the list must have the format \fIstation.network.channel\fR,
where each component (station, network, channel) may contain the wildcard
characters "?" and "*" which match 1 or 0-N characters respectively.  Any record
in the master file whose station.network.channel entries match any of the
station.network.channel entries on the delete list will be deleted from the output
record list.  Note that all records in the update files will appear in the output
record list, even if the match one of the station.network.channel entries in the
delete_list.
.TP
\fB\-S\fR
.br
specifies that the input files contain binary short hold records instead of the
long holdings records.
.TP
.I master_file
.br
is the name of the file containing the original master holdings (or hold) 
records.  If this 
.B -U
option is specified, the updated record list will be rewritten to this file.
.TP
\fBupdate_files...\fR
.br
is a list of 0 or more files containing updated records for specific
station.network.channels of data.  These records are assumed to contain the
complete information for the station.network.channel that they represent,
and therefore will replace any records of the same station.network.channel
that were contained in the master file.
.SH EXAMPLES

update_holdings /master.dir/holdings.1996.293 holdings.1996.293 > new
.in 1in
.br
updates the holdings records from the master holdings file
/master.dir/holdings.1996.293 with holdings records from the file
holdings.1996.293, and writes the updated records to the file new.
.in .5in
.br

update_holdings -U /master.dir/holdings.1996.293 holdings.1996.293
.in 1in
updates the holdings records from the master holdings file
/master.dir/holdings.1996.293 with holdings records from the file
holdings.1996.293, and writes the updated records back to the master
holdings file.
.in .5in
.br

update_holdings -U -D "BKS.*.*,ARC.*.*" /master.dir/holdings.1996.293
.in 1in
deleted all records for stations BKS and ARC from the master holdings file
/master.dir/holdings.1996.293, and writes the updated record list back
to the master holdings file.
.in .5in
.br

update_holdings -U -D "CMB.*.BH?" /master.dir/holdings.1996.293 holdings.1996.293
.in 1in
deleted all records for channels BH? for station CMB from the master
holdings file /master.dir/holdings.1996.293, updates the master holdings
list with holdings records from the update file holdings.1996.293, and
writes the updated record list back to the master holdings file.
.in .5in
.br

update_hold /master.dir/holdings.1996.293 holdings.1996.293 > new
.in 1in
.br
updates the short hold records from the master holdings file
/master.dir/holdings.1996.293 with the short hold records from the file
holdings.1996.293, and writes the updated records to the file new.
.in .5in
.br

.SH NOTES
The command 
.b update_hold
is equivalent to the 
B.update_holdings -S
command.
.SEE ALSO
qhold(1), cvthold(1)
.SH AUTHOR
Doug Neuhauser, UC Berkeley Seismographic Station, 
doug@seismo.berkeley.edu.

